taskmanager.network.sort-shuffle.min-parallelism: 1
taskmanager.memory.framework.off-heap.size: 512m
taskmanager.network.sort-shuffle.min-buffers: 2048
taskmanager.memory.framework.off-heap.batch-shuffle.size: 256m
taskmanager.network.blocking-shuffle.compression.enabled: true

taskmanager.memory.process.size: 16384m
taskmanager.numberOfTaskSlots: 8
slotmanager.enable-fixed-slots: true

taskmanager.network.memory.fraction: 0.99
taskmanager.network.memory.min: 64mb
taskmanager.network.memory.max: 4096mb
cluster.evenly-spread-out-slots: true

table.exec.resource.hash-agg.memory: 128 mb
table.exec.resource.hash-join.memory: 128 mb
table.exec.resource.sort.memory: 128 mb
table.optimizer.join.broadcast-threshold: 10485760
table.exec.hive.infer-source-parallelism: true

table.exec.hive.infer-source-parallelism.max: 512
table.exec.resource.default-parallelism: 512
parallelism.default: 512

table.exec.shuffle-mode: batch
table.exec.sort.default-limit: 100
table.optimizer.multiple-input-enabled: true
table.optimizer.reuse-source-enabled: false
